#
# spec file for package nvidia-firmware-installer
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines
Name:           nvidia-firmware-installer
Version:        1.0
Release:        1.3
Summary:        Downloads and installs nVidia firmware
License:        MIT
Group:          System/kernel
Url:            http://www.nvidia.com
Source0:        https://github.com/imirkin/re-vp2/blob/master/extract_firmware.py
Source1:        LICENSE
Patch0:         get_file.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       python
BuildArch:      noarch

%description
Downloads and installs the nVidia firmware to use with nouveau

%prep
cp %{SOURCE0} .
cp %{SOURCE1} .
%patch0

%build

%install
%suse_install_update_script extract_firmware.py
mkdir -p %{buildroot}/lib/firmware/nouveau
mkdir -p %{buildroot}/%{_localstatedir}/adm/update-messages
install -m 644 LICENSE \
        -T %{buildroot}%{_localstatedir}/adm/update-messages/%name-%version-%release-1
# required by SLE11
pushd %{buildroot}/lib/firmware/nouveau
touch \
nv106_fuc084 nv106_fuc085 nv106_fuc086 nv108_fuc084 nv108_fuc085 nv108_fuc086 \
nv108_fuc409c nv108_fuc409d nv108_fuc41ac nv108_fuc41ad nv84_bsp nv84_bsp-h264 \
nv84_vp nv84_vp-h264-1 nv84_vp-h264-2 nv84_vp-mpeg12 nv84_vp-vc1-1 \
nv84_vp-vc1-2 nv84_vp-vc1-3 nv84_xuc00f nv84_xuc103 nv98_bsp nv98_fuc084 \
nv98_fuc085 nv98_fuc086 nv98_ppp nv98_vp nva3_bsp nva3_fuc084 nva3_fuc085 \
nva3_fuc086 nva3_ppp nva3_vp nva5_fuc084 nva5_fuc085 nva5_fuc086 nva8_fuc084 \
nva8_fuc085 nva8_fuc086 nvaa_fuc084 nvaa_fuc085 nvaa_fuc086 nvac_fuc084 \
nvac_fuc085 nvac_fuc086 nvaf_fuc084 nvaf_fuc085 nvaf_fuc086 nvc0_bsp \
nvc0_fuc084 nvc0_fuc085 nvc0_fuc086 nvc0_fuc409c nvc0_fuc409d nvc0_fuc41ac \
nvc0_fuc41ad nvc0_ppp nvc0_vp nvc1_fuc084 nvc1_fuc085 nvc1_fuc086 nvc1_fuc409c \
nvc1_fuc409d nvc1_fuc41ac nvc1_fuc41ad nvc3_fuc084 nvc3_fuc085 nvc3_fuc086 \
nvc3_fuc409c nvc3_fuc409d nvc3_fuc41ac nvc3_fuc41ad nvc4_fuc084 nvc4_fuc085 \
nvc4_fuc086 nvc4_fuc409c nvc4_fuc409d nvc4_fuc41ac nvc4_fuc41ad nvc8_fuc084 \
nvc8_fuc085 nvc8_fuc086 nvc8_fuc409c nvc8_fuc409d nvc8_fuc41ac nvc8_fuc41ad \
nvce_fuc084 nvce_fuc085 nvce_fuc086 nvce_fuc409c nvce_fuc409d nvce_fuc41ac \
nvce_fuc41ad nvcf_fuc084 nvcf_fuc085 nvcf_fuc086 nvcf_fuc409c nvcf_fuc409d \
nvcf_fuc41ac nvcf_fuc41ad nvd7_fuc084 nvd7_fuc085 nvd7_fuc086 nvd7_fuc409c \
nvd7_fuc409d nvd7_fuc41ac nvd7_fuc41ad nvd9_fuc084 nvd9_fuc085 nvd9_fuc086 \
nvd9_fuc409c nvd9_fuc409d nvd9_fuc41ac nvd9_fuc41ad nve0_bsp nve0_vp \
nve4_fuc084 nve4_fuc085 nve4_fuc086 nve4_fuc409c nve4_fuc409d nve4_fuc41ac \
nve4_fuc41ad nve6_fuc084 nve6_fuc085 nve6_fuc086 nve6_fuc409c nve6_fuc409d \
nve6_fuc41ac nve6_fuc41ad nve7_fuc084 nve7_fuc085 nve7_fuc086 nve7_fuc409c \
nve7_fuc409d nve7_fuc41ac nve7_fuc41ad nvf0_fuc084 nvf0_fuc085 nvf0_fuc086 \
nvf0_fuc409c nvf0_fuc409d nvf0_fuc41ac nvf0_fuc41ad nvf1_fuc084 nvf1_fuc085 \
nvf1_fuc086 nvf1_fuc409c nvf1_fuc409d nvf1_fuc41ac nvf1_fuc41ad vuc-h264-0 \
vuc-mpeg12-0 vuc-mpeg4-0 vuc-mpeg4-1 vuc-vc1-0 vuc-vc1-1 vuc-vc1-2 \
vuc-vp3-h264-0 vuc-vp3-mpeg12-0 vuc-vp3-vc1-0 vuc-vp3-vc1-1 vuc-vp3-vc1-2 \
vuc-vp4-h264-0 vuc-vp4-mpeg12-0 vuc-vp4-mpeg4-0 vuc-vp4-mpeg4-1 vuc-vp4-vc1-0 \
vuc-vp4-vc1-1 vuc-vp4-vc1-2
popd

%files
%defattr(-, root, root)
%doc LICENSE
%{_localstatedir}/adm/update-messages/%name-%version-%release-1
%{_localstatedir}/adm/update-scripts/*
%dir /lib/firmware/nouveau
%ghost /lib/firmware/nouveau/nv106_fuc084
%ghost /lib/firmware/nouveau/nv106_fuc085
%ghost /lib/firmware/nouveau/nv106_fuc086
%ghost /lib/firmware/nouveau/nv108_fuc084
%ghost /lib/firmware/nouveau/nv108_fuc085
%ghost /lib/firmware/nouveau/nv108_fuc086
%ghost /lib/firmware/nouveau/nv108_fuc409c
%ghost /lib/firmware/nouveau/nv108_fuc409d
%ghost /lib/firmware/nouveau/nv108_fuc41ac
%ghost /lib/firmware/nouveau/nv108_fuc41ad
%ghost /lib/firmware/nouveau/nv84_bsp
%ghost /lib/firmware/nouveau/nv84_bsp-h264
%ghost /lib/firmware/nouveau/nv84_vp
%ghost /lib/firmware/nouveau/nv84_vp-h264-1
%ghost /lib/firmware/nouveau/nv84_vp-h264-2
%ghost /lib/firmware/nouveau/nv84_vp-mpeg12
%ghost /lib/firmware/nouveau/nv84_vp-vc1-1
%ghost /lib/firmware/nouveau/nv84_vp-vc1-2
%ghost /lib/firmware/nouveau/nv84_vp-vc1-3
%ghost /lib/firmware/nouveau/nv84_xuc00f
%ghost /lib/firmware/nouveau/nv84_xuc103
%ghost /lib/firmware/nouveau/nv98_bsp
%ghost /lib/firmware/nouveau/nv98_fuc084
%ghost /lib/firmware/nouveau/nv98_fuc085
%ghost /lib/firmware/nouveau/nv98_fuc086
%ghost /lib/firmware/nouveau/nv98_ppp
%ghost /lib/firmware/nouveau/nv98_vp
%ghost /lib/firmware/nouveau/nva3_bsp
%ghost /lib/firmware/nouveau/nva3_fuc084
%ghost /lib/firmware/nouveau/nva3_fuc085
%ghost /lib/firmware/nouveau/nva3_fuc086
%ghost /lib/firmware/nouveau/nva3_ppp
%ghost /lib/firmware/nouveau/nva3_vp
%ghost /lib/firmware/nouveau/nva5_fuc084
%ghost /lib/firmware/nouveau/nva5_fuc085
%ghost /lib/firmware/nouveau/nva5_fuc086
%ghost /lib/firmware/nouveau/nva8_fuc084
%ghost /lib/firmware/nouveau/nva8_fuc085
%ghost /lib/firmware/nouveau/nva8_fuc086
%ghost /lib/firmware/nouveau/nvaa_fuc084
%ghost /lib/firmware/nouveau/nvaa_fuc085
%ghost /lib/firmware/nouveau/nvaa_fuc086
%ghost /lib/firmware/nouveau/nvac_fuc084
%ghost /lib/firmware/nouveau/nvac_fuc085
%ghost /lib/firmware/nouveau/nvac_fuc086
%ghost /lib/firmware/nouveau/nvaf_fuc084
%ghost /lib/firmware/nouveau/nvaf_fuc085
%ghost /lib/firmware/nouveau/nvaf_fuc086
%ghost /lib/firmware/nouveau/nvc0_bsp
%ghost /lib/firmware/nouveau/nvc0_fuc084
%ghost /lib/firmware/nouveau/nvc0_fuc085
%ghost /lib/firmware/nouveau/nvc0_fuc086
%ghost /lib/firmware/nouveau/nvc0_fuc409c
%ghost /lib/firmware/nouveau/nvc0_fuc409d
%ghost /lib/firmware/nouveau/nvc0_fuc41ac
%ghost /lib/firmware/nouveau/nvc0_fuc41ad
%ghost /lib/firmware/nouveau/nvc0_ppp
%ghost /lib/firmware/nouveau/nvc0_vp
%ghost /lib/firmware/nouveau/nvc1_fuc084
%ghost /lib/firmware/nouveau/nvc1_fuc085
%ghost /lib/firmware/nouveau/nvc1_fuc086
%ghost /lib/firmware/nouveau/nvc1_fuc409c
%ghost /lib/firmware/nouveau/nvc1_fuc409d
%ghost /lib/firmware/nouveau/nvc1_fuc41ac
%ghost /lib/firmware/nouveau/nvc1_fuc41ad
%ghost /lib/firmware/nouveau/nvc3_fuc084
%ghost /lib/firmware/nouveau/nvc3_fuc085
%ghost /lib/firmware/nouveau/nvc3_fuc086
%ghost /lib/firmware/nouveau/nvc3_fuc409c
%ghost /lib/firmware/nouveau/nvc3_fuc409d
%ghost /lib/firmware/nouveau/nvc3_fuc41ac
%ghost /lib/firmware/nouveau/nvc3_fuc41ad
%ghost /lib/firmware/nouveau/nvc4_fuc084
%ghost /lib/firmware/nouveau/nvc4_fuc085
%ghost /lib/firmware/nouveau/nvc4_fuc086
%ghost /lib/firmware/nouveau/nvc4_fuc409c
%ghost /lib/firmware/nouveau/nvc4_fuc409d
%ghost /lib/firmware/nouveau/nvc4_fuc41ac
%ghost /lib/firmware/nouveau/nvc4_fuc41ad
%ghost /lib/firmware/nouveau/nvc8_fuc084
%ghost /lib/firmware/nouveau/nvc8_fuc085
%ghost /lib/firmware/nouveau/nvc8_fuc086
%ghost /lib/firmware/nouveau/nvc8_fuc409c
%ghost /lib/firmware/nouveau/nvc8_fuc409d
%ghost /lib/firmware/nouveau/nvc8_fuc41ac
%ghost /lib/firmware/nouveau/nvc8_fuc41ad
%ghost /lib/firmware/nouveau/nvce_fuc084
%ghost /lib/firmware/nouveau/nvce_fuc085
%ghost /lib/firmware/nouveau/nvce_fuc086
%ghost /lib/firmware/nouveau/nvce_fuc409c
%ghost /lib/firmware/nouveau/nvce_fuc409d
%ghost /lib/firmware/nouveau/nvce_fuc41ac
%ghost /lib/firmware/nouveau/nvce_fuc41ad
%ghost /lib/firmware/nouveau/nvcf_fuc084
%ghost /lib/firmware/nouveau/nvcf_fuc085
%ghost /lib/firmware/nouveau/nvcf_fuc086
%ghost /lib/firmware/nouveau/nvcf_fuc409c
%ghost /lib/firmware/nouveau/nvcf_fuc409d
%ghost /lib/firmware/nouveau/nvcf_fuc41ac
%ghost /lib/firmware/nouveau/nvcf_fuc41ad
%ghost /lib/firmware/nouveau/nvd7_fuc084
%ghost /lib/firmware/nouveau/nvd7_fuc085
%ghost /lib/firmware/nouveau/nvd7_fuc086
%ghost /lib/firmware/nouveau/nvd7_fuc409c
%ghost /lib/firmware/nouveau/nvd7_fuc409d
%ghost /lib/firmware/nouveau/nvd7_fuc41ac
%ghost /lib/firmware/nouveau/nvd7_fuc41ad
%ghost /lib/firmware/nouveau/nvd9_fuc084
%ghost /lib/firmware/nouveau/nvd9_fuc085
%ghost /lib/firmware/nouveau/nvd9_fuc086
%ghost /lib/firmware/nouveau/nvd9_fuc409c
%ghost /lib/firmware/nouveau/nvd9_fuc409d
%ghost /lib/firmware/nouveau/nvd9_fuc41ac
%ghost /lib/firmware/nouveau/nvd9_fuc41ad
%ghost /lib/firmware/nouveau/nve0_bsp
%ghost /lib/firmware/nouveau/nve0_vp
%ghost /lib/firmware/nouveau/nve4_fuc084
%ghost /lib/firmware/nouveau/nve4_fuc085
%ghost /lib/firmware/nouveau/nve4_fuc086
%ghost /lib/firmware/nouveau/nve4_fuc409c
%ghost /lib/firmware/nouveau/nve4_fuc409d
%ghost /lib/firmware/nouveau/nve4_fuc41ac
%ghost /lib/firmware/nouveau/nve4_fuc41ad
%ghost /lib/firmware/nouveau/nve6_fuc084
%ghost /lib/firmware/nouveau/nve6_fuc085
%ghost /lib/firmware/nouveau/nve6_fuc086
%ghost /lib/firmware/nouveau/nve6_fuc409c
%ghost /lib/firmware/nouveau/nve6_fuc409d
%ghost /lib/firmware/nouveau/nve6_fuc41ac
%ghost /lib/firmware/nouveau/nve6_fuc41ad
%ghost /lib/firmware/nouveau/nve7_fuc084
%ghost /lib/firmware/nouveau/nve7_fuc085
%ghost /lib/firmware/nouveau/nve7_fuc086
%ghost /lib/firmware/nouveau/nve7_fuc409c
%ghost /lib/firmware/nouveau/nve7_fuc409d
%ghost /lib/firmware/nouveau/nve7_fuc41ac
%ghost /lib/firmware/nouveau/nve7_fuc41ad
%ghost /lib/firmware/nouveau/nvf0_fuc084
%ghost /lib/firmware/nouveau/nvf0_fuc085
%ghost /lib/firmware/nouveau/nvf0_fuc086
%ghost /lib/firmware/nouveau/nvf0_fuc409c
%ghost /lib/firmware/nouveau/nvf0_fuc409d
%ghost /lib/firmware/nouveau/nvf0_fuc41ac
%ghost /lib/firmware/nouveau/nvf0_fuc41ad
%ghost /lib/firmware/nouveau/nvf1_fuc084
%ghost /lib/firmware/nouveau/nvf1_fuc085
%ghost /lib/firmware/nouveau/nvf1_fuc086
%ghost /lib/firmware/nouveau/nvf1_fuc409c
%ghost /lib/firmware/nouveau/nvf1_fuc409d
%ghost /lib/firmware/nouveau/nvf1_fuc41ac
%ghost /lib/firmware/nouveau/nvf1_fuc41ad
%ghost /lib/firmware/nouveau/vuc-h264-0
%ghost /lib/firmware/nouveau/vuc-mpeg12-0
%ghost /lib/firmware/nouveau/vuc-mpeg4-0
%ghost /lib/firmware/nouveau/vuc-mpeg4-1
%ghost /lib/firmware/nouveau/vuc-vc1-0
%ghost /lib/firmware/nouveau/vuc-vc1-1
%ghost /lib/firmware/nouveau/vuc-vc1-2
%ghost /lib/firmware/nouveau/vuc-vp3-h264-0
%ghost /lib/firmware/nouveau/vuc-vp3-mpeg12-0
%ghost /lib/firmware/nouveau/vuc-vp3-vc1-0
%ghost /lib/firmware/nouveau/vuc-vp3-vc1-1
%ghost /lib/firmware/nouveau/vuc-vp3-vc1-2
%ghost /lib/firmware/nouveau/vuc-vp4-h264-0
%ghost /lib/firmware/nouveau/vuc-vp4-mpeg12-0
%ghost /lib/firmware/nouveau/vuc-vp4-mpeg4-0
%ghost /lib/firmware/nouveau/vuc-vp4-mpeg4-1
%ghost /lib/firmware/nouveau/vuc-vp4-vc1-0
%ghost /lib/firmware/nouveau/vuc-vp4-vc1-1
%ghost /lib/firmware/nouveau/vuc-vp4-vc1-2

%changelog
* Sat Apr  4 2015 aloisio@gmx.com
- Initial version 1.0
